#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include <QWidget>
#include <QStandardItemModel>
#include <QStandardItem>
#include <QSortFilterProxyModel>

namespace Ui {
class MainWidget;
}

class MainWidget : public QWidget
{
  Q_OBJECT

public:
  explicit MainWidget(QWidget *parent = 0);
  ~MainWidget();

private slots:
  //слоты для соединения с сигналами нажатия на соответствующие кнопки
  void on_btnAsc_clicked();
  void on_btnDesc_clicked();

private:
  Ui::MainWidget *ui;
  //пример метода использующего данные модели
  //(проверяет наличие элемента в модели)
  bool hasElement(int value);
};

#endif // MAINWIDGET_H
