#include "intlistmodel.h"

IntListModel::IntListModel(QObject *parent) :
  QAbstractListModel(parent)
{
  items << 435 << 34 << 22 << 789;
}


int IntListModel::rowCount(const QModelIndex &parent) const
{
  return items.count();
}

QVariant IntListModel::data(const QModelIndex &index, int role) const
{
  if (!index.isValid()){
    return QVariant();
  }
  if (role == Qt::DisplayRole){
    return items.at(index.row());
  }
  else {
    return QVariant();
  }
}

//void IntListModel::sort(int column, Qt::SortOrder order)
//{
//  emit layoutAboutToBeChanged();
//  if (order == Qt::AscendingOrder){
//    std::sort(items.begin(), items.end(), std::less<int>());
//  }
//  else {
//    std::sort(items.begin(), items.end(), std::greater<int>());
//  }
//  emit layoutChanged();
//}
